C_____INTEGRATIONSVERSION___:_s_8714
*  State    | Processor                 | Comment
* ----------+---------------------------+------------------------------------------
*  03-xx-xx | R.Schoenen, IST           | Created
*  03-08-28 | W.Trautenberg, INTEC GmbH | better adapted to kdb_ext_file and task 0
*           |                           | ensured maximum number of output values is not exceeded (ov_dim)
*           |                           | ensured maximum number of input parameters is not exceeded (par_dim)
*           |                           | shifted first initialization to task 2,, removed unnecesarry DLL statements
*           |                           | removed duplicate definition of ierr  in uforce_hyd
*           |                           | removed definition of PI in uforce_hyd, since defined by include file com_all.inc
*  03-10-09 | W.Trautenberg, INTEC GmbH | final adaptions of parameter list
*  03-10-22 | R. Schoenen,W.Trautenberg | added correct initialization of ip = 1 for setup task = 2
*           |                           | added correct initialization of dreh = par(4) for  setup task = 2
*  03-11-11 | G.Hofmann,  W.Trautenberg | corrected wrong transformation matrix sequence for shaft marker
*           |                           | added more comments for calculation task force at marker distribution
*  03-11-26 | G.Hofmann, R.Schoenen     | ensured angles and angular velocity always passed in rad and rad/s
*  03-12-03 | T.Burton / G.Hofmann      | final ;-) correction of wrong transformation matrix sequences
*  03-12-10 | G.Hofmann                 | cleaned up with debug prints & transformation naming / Cosmetics
*  03-12-10 | G.Hofmann                 | enhanced GUI for method selection
*  04-08-16 | M.Baumann                 | added 'io'-range-check for 'Sleeve Force' settings in uforce_hyd_setup()
*  04-09-22 | T.Burton                  | moved to standard SIMPACK library element
*    -  -   |                           |
c
c Hydrodynamik Inteface
c =====================
c

* ######################################################################
* ###                         Type                                   ###
* ######################################################################
c=======================================================================
c called once in te gui to define the name and class of the uf
c=======================================================================
      SUBROUTINE uforce070_type( str_dim    ! i: Dimension of Strings
     +                         , uforce_str ! o: Name of Force Element Type
     +                         , ierr       ! o: Error-Code: 0/1 = Okay/Error
     +                         )

      implicit none

      INCLUDE 'vinputc.ins.f'

C ----------------------------------------------------------------------
C Declaration of Interface Parameters
C ----------------------------------------------------------------------

      INTEGER  str_dim
      INTEGER  ierr

      CHARACTER*(str_dim) uforce_str

c redirect to hydrodynamik interface
      call uforce_hyd_type(str_dim, uforce_str, ierr)

      return
      end

